org.apache.tomcat.util.bcel.classfile

## Class ClassFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.tomcat.util.bcel.classfile.ClassFormatException

- All Implemented Interfaces:
    Serializable

      public class ClassFormatException
      extends RuntimeException

  Thrown when the BCEL attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassFormatException()`
    `ClassFormatException(String s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassFormatException

          public ClassFormatException()

    - #### ClassFormatException

          public ClassFormatException(String s)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.